﻿using Clio.Utilities;
using ff14bot.Helpers;
using Newtonsoft.Json;
using System.Configuration;
using System.IO;

namespace GourmetGuy.Settings
{
    public class GourmetGuySettings : JsonSettings
    {
        [JsonIgnore]
        private static GourmetGuySettings _instance;
        public static GourmetGuySettings instance { get { return _instance ?? (_instance = new GourmetGuySettings("GourmetGuySettings")); } }
        public GourmetGuySettings(string filename) : base(Path.Combine(CharacterSettingsDirectory, "GourmetGuy.json")) { }

        [Setting]
        public string FoodName { get; set; }
    }
}
